Subject: bug#25422: GIT_SSL_CAINFO set incorrectly

From: Mekeor Melire <[email-masked]>
Date: Fri, 20 Jan 2017 05:27:47 +0100

I'm experiencing the same issue. I recently installed GuixSD freshly
and encountered this bug.

Adding an option to `search-path-specification' seems like a good idea.
Still, I wonder what this snippet from (gnu system) does:

    (define (operating-system-environment-variables os)
      "Return the environment variables of OS for
    @var{session-environment-service-type}, to be used in @file{/etc/environment}."
      `(("LANG" . ,(operating-system-locale os))
        ("TZ" . ,(operating-system-timezone os))
        ("TZDIR" . ,(file-append tzdata "/share/zoneinfo"))
        ;; Tell 'modprobe' & co. where to look for modules.
        ("LINUX_MODULE_DIRECTORY" . "/run/booted-system/kernel/lib/modules")
        ;; These variables are honored by OpenSSL (libssl) and Git.
        ("SSL_CERT_DIR" . "/etc/ssl/certs")
        ("SSL_CERT_FILE" . "/etc/ssl/certs/ca-certificates.crt")
        ("GIT_SSL_CAINFO" . "/etc/ssl/certs/ca-certificates.crt")